/*
 *  comis_interface.h  --
 *	Declare inteface to COMIS
 *
 *  Original: 12-Jan-1996 16:14
 *
 *  Author:   Maarten Ballintijn <Maarten.Ballintijn@cern.ch>
 *
 *  $Id: comis_interface.h,v 1.3 1996/04/30 10:09:09 maartenb Exp $
 *
 *  $Log: comis_interface.h,v $
 *  Revision 1.3  1996/04/30 10:09:09  maartenb
 *  - Implement comis functions which return a logical
 *
 *  Revision 1.2  1996/04/23 18:37:54  maartenb
 *  - Add RCS keywords
 *
 *
 */

#ifndef CERN_COMIS_INTERFACE
#define CERN_COMIS_INTERFACE

#include	"cfortran.h"


#define	CF_TRUE		C2FLOGICAL(1)
#define	CF_FALSE	C2FLOGICAL(0)

PROTOCCALLSFFUN1(INT,CSADDR,csaddr,STRING)

#define	CSADDR(CHFILE) \
	CCALLSFFUN1(CSADDR,csaddr,STRING,CHFILE) \


PROTOCCALLSFFUN12(DOUBLE,CSDJCL,csdjcl,INT,INT,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID)

#define CSDJCL(IADR,NPAR,P1,P2,P3,P4,P5,P6,P7,P8,P9,P10) \
	CCALLSFFUN12(CSDJCL,csdjcl,INT,INT,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,IADR,NPAR,P1,P2,P3,P4,P5,P6,P7,P8,P9,P10)


#define	CSEXEC(CHFILE,IRET) \
	CCALLSFSUB2(CSEXEC,csexec,STRING,PINT,CHFILE,IRET) \


#define CSGTIDP(CADR,NAME,LEN) \
	CCALLSFSUB3(CSGTIDP,csgtidp,INT,PSTRING,PINT,CADR,NAME,LEN)


PROTOCCALLSFFUN12(INT,CSIJCL,csijcl,INT,INT,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID)

#define CSIJCL(IADR,NPAR,P1,P2,P3,P4,P5,P6,P7,P8,P9,P10) \
	CCALLSFFUN12(CSIJCL,csijcl,INT,INT,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,IADR,NPAR,P1,P2,P3,P4,P5,P6,P7,P8,P9,P10)


PROTOCCALLSFFUN2(INT,CSLISTC,cslistc,INT,PINT)

#define CSLISTC(PROADDR,NEXT) \
	CCALLSFFUN2(CSLISTC,cslistc,INT,PINT,PROADDR,NEXT)


#define CSLISTX(CNAME,PROADDR,IOFFS,NEL) \
	CCALLSFSUB4(CSLISTX,cslistx,STRING,INT,PINT,PINT,CNAME,PROADDR,IOFFS,NEL)


PROTOCCALLSFFUN12(LOGICAL,CSLJCL,csljcl,INT,INT,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID)

#define CSLJCL(IADR,NPAR,P1,P2,P3,P4,P5,P6,P7,P8,P9,P10) \
	CCALLSFFUN12(CSLJCL,csljcl,INT,INT,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,IADR,NPAR,P1,P2,P3,P4,P5,P6,P7,P8,P9,P10)


PROTOCCALLSFFUN12(FLOAT,CSRJCL,csrjcl,INT,INT,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID)

#define CSRJCL(IADR,NPAR,P1,P2,P3,P4,P5,P6,P7,P8,P9,P10) \
	CCALLSFFUN12(CSRJCL,csrjcl,INT,INT,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,PVOID,IADR,NPAR,P1,P2,P3,P4,P5,P6,P7,P8,P9,P10)


#define CSTYPAR(IADDR,IPAR,CTYP,ISIZE,NVDIM,DIM,IERR) \
	CCALLSFSUB7(CSTYPAR,cstypar,INT,INT,PSTRING,PINT,PINT,INTV,PINT,IADDR,IPAR,CTYP,ISIZE,NVDIM,DIM,IERR) \


#define CSTYPE(CADR,CHTYPE) \
	CCALLSFSUB2(CSTYPE,cstype,INT,PSTRING,CADR,CHTYPE) \


#endif	/*	CERN_COMIS_INTERFACE	*/
